Status: Closed

Priority: Normal

Assignee: Tom Kralidis
Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 20505
Description

When adding a WMS or WFS connection from Metasearch results lists, always the same name is used, so the connection is overwritten
(with a warning). Better add is as a default always with a different name (e.g. with a serial)

History

#1 - 2015-03-06 04:10 AM - Tom Kralidis

- Assignee changed from Tom Kralidis to Richard Duivenvoorde

iirc, we have such an option in settings (overwrite, save to a static title, use title from Capabilities XML, etc.)

cc'ing Richard here as | don't recall why we removed it.

#2 - 2015-03-06 04:49 AM - Tom Kralidis

We had this implemented, but took it out:

discussion: http:/lists.osgeo.org/pipermail/qgis-developer/2014-August/034415.html

commit: https://github.com/geopython/MetaSearch/commit/7ad8f0fbe69e3fdb7964b2098a8d7ed15cd8aef2

irc convo with duiv:

] duiv for what | now, we made an option for that

[07:25] duiv lemme look

[07:25] tomkralidis yeah it's not there anymore.

[07:25] tomkralidis | remember we took it out, there was discussion around it | think

[07:26] duiv not with me | think

[07:26] duiv | would not have removed it

[07:26] duiv because sometime you want to overwrite

[07:27] duiv but | can also think of usecases where you want every ows server to 'transfer' from the metadata to qgis with its own connection name...
[07:29] tomkralidis ah, ok: https://github.com/geopython/MetaSearch/commit/7ad8f0fbe69e3fdb7964b2098a8d7ed15cd8aef2
[07:29] tomkralidis http:/lists.osgeo.org/pipermail/qgis-developer/2014-August/034415.html

[07:31] duiv "7 is that related to the removal of the checkbox?

[07:31] tomkralidis | think the fact that we were having so many issues around connection naming we went with a default naming
[07:32] duiv. mmm, | do not recall that the original idea gave issues.

[07:32] duiv 'in the beginning'

[07:32] duiv we used the 'service-url' as key/name for the connection
[07:33] duiv because | tested so much services, | ended up with 20 connections that | had to throw away later

[07:33] tomkralidis we can bring it back, no problem, I'm just trying to recall the history

[07:33] duiv so | proposed to use a fixed name for that connection and made that optional

[07:34] duiv | think later it has become more complex, because instead of the service-url we apparently tried to find out the service name etc
[07:34] duiv for which we needed the capabilities etc etc

[07:35] duiv so my stand: bring the original back: either the service-url as key, or a fixed name, and a simple checkbox option to choose from

#3 - 2015-03-06 05:18 AM - Paolo Cavallini
- Assignee changed from Richard Duivenvoorde to Tom Kralidis

So, what are the plans?

Thanks.

#4 - 2015-03-06 06:56 AM - Tom Kralidis

| will add this back in.

#5 - 2015-03-15 08:04 AM - Tom Kralidis

After further discussion with Richard, the proposal is to either overwrite the connection or to rewrite it with a serial suffix, i.e.:

- wfs from MetaSearch 1
- wfs from MetaSearch 2

Having said this, | see 2 workflow options to enable this:

1./ enable as a MetaSearch setting, adding a connection will take into account the setting without prompting the user

2./ always prompt the user to overwrite, if yes, then overwrite, if no, then rewrite with serial

Thoughts? Other workflow options?

#6 - 2015-03-15 11:45 PM - Paolo Cavallini

IMHO overwriting should not occur. adding a serial seems fine to me. If you think it is important to give the option to overwrite, better ask at every Save.

#7 - 2015-03-16 08:04 AM - Tom Kralidis

fixed in commit:ff52a05 with option 2

#8 - 2015-03-17 01:14 AM - Richard Duivenvoorde

@paolo | really do not like option 2

For me | use the metadata tool to 'try out' or 'search’ for services, eg means trying a lot of different services from our national metadata services. Meaning |

have >20 wms connections in QGIS which | actually do not want.

| can overwrite now, but will always have a prompt, which | consider a bad solution.
| always(!) want to overwrite the connection from the MetaSearch tool, as the purpose is not really loading a wms, the purpose is to quickly test/look at a

service.

#9 - 2015-03-19 02:56 PM - Tom Kralidis

| have added the settings option back in in master (commit:519830e) and updated the user manual/docs to reflect (see PR at
https://github.com/qgis/QGIS-Documentation/pull/496). Please reopen the ticket if there are outstanding issues.

#10 - 2015-03-19 02:57 PM - Tom Kralidis
- Resolution set to fixed/implemented
- Status changed from Open to Closed
